mutation createDocument( 
  $documentType: DocumentType!
  $name: String!
  $description: String
) @auth(level: USER) { 
  document_insert( 
    data: { 
      documentType: $documentType 
      name: $name
      description: $description
    } 
  ) 
} 

mutation updateDocument( 
  $id: UUID! 
  $documentType: DocumentType
  $name: String
  $description: String
) @auth(level: USER) { 
  document_update( 
    id: $id 
    data: { 
      documentType: $documentType 
      name: $name
      description: $description
    } 
  ) 
} 

mutation deleteDocument($id: UUID!) @auth(level: USER) { 
  document_delete(id: $id) 
} 
